Summary:        Family-neutral IP socket supporting both IPv4 and IPv6
Name:           perl-IO-Socket-IP
Version:        0.42
Release:        2%{?dist}
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/IO-Socket-IP
Source0:        https://cpan.metacpan.org/authors/id/P/PE/PEVANS/IO-Socket-IP-%{version}.tar.gz
BuildArch:      noarch
# Build
BuildRequires:  coreutils, perl-generators, perl-interpreter, perl(Module::Build)
# Runtime
BuildRequires:  perl(IO::Socket), perl(Socket)
# Tests
BuildRequires:  perl(Test::More)

%{?perl_default_filter}

%description
This module provides a protocol-independent way to use IPv4 and IPv6 sockets, 
intended as a replacement for IO::Socket::INET. Most constructor arguments and
methods are provided in a backward-compatible way. For a list of known
differences, see the IO::Socket::INET INCOMPATIBILITES section below.

It uses the getaddrinfo(3) function to convert hostnames and service names or
port numbers into sets of possible addresses to connect to or listen on. This
allows it to work for IPv6 where the system supports it, while still falling
back to IPv4-only on systems which don't.



%prep
%setup -q -n IO-Socket-IP-%{version}
chmod -x lib/IO/Socket/IP.pm



%build
perl Build.PL --installdirs=vendor
./Build



%install
./Build install --destdir=%{buildroot} --create_packlist=0
%{_fixperms} -c %{buildroot}



%check
./Build test



%files
%license LICENSE
%doc Changes examples README
%{perl_vendorlib}/*
%{_mandir}/man3/*



%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.42-2
- Rebuilt for OpenCloudOS Stream 23.09

* Wed Aug 02 2023 Xiaojie Chen <jackxjchen@tencent.com> - 0.42-1
- Upgrade to upstream version 0.42
- Remove perl-libs which will be generated by perl-generators >= 1.15

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.41-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.41-2
- Rebuilt for OpenCloudOS Stream 23

* Fri Aug 12 2022 Zhao Zhen <jeremiazhao@tencent.com> - 0.41-1
- Initial building.
